gtkmm: Gtk::Settings Class Reference

# Gtk::Settings Class Reference

Sharing settings between applications. More...

Inherits Glib::Object.

Collaboration diagram for Gtk::Settings:
[legend]

List of all members.

## Public Member Functions
virtual | ~Settings ()
GtkSettings* | gobj ()
| Provides access to the underlying C GObject.
const GtkSettings* | gobj () const
| Provides access to the underlying C GObject.
GtkSettings* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Glib::PropertyProxy< int > | property_gtk_double_click_time ()
| Maximum time allowed between two clicks for them to be considered a double click (in milliseconds).
Glib::PropertyProxy_ReadOnly< int > | property_gtk_double_click_time () const
| Maximum time allowed between two clicks for them to be considered a double click (in milliseconds).
Glib::PropertyProxy< int > | property_gtk_double_click_distance ()
| Maximum distance allowed between two clicks for them to be considered a double click (in pixels).
Glib::PropertyProxy_ReadOnly< int > | property_gtk_double_click_distance () const
| Maximum distance allowed between two clicks for them to be considered a double click (in pixels).
Glib::PropertyProxy< bool > | property_gtk_cursor_blink ()
| Whether the cursor should blink.
Glib::PropertyProxy_ReadOnly < bool > | property_gtk_cursor_blink () const
| Whether the cursor should blink.
Glib::PropertyProxy< int > | property_gtk_cursor_blink_time ()
| Length of the cursor blink cycle.
Glib::PropertyProxy_ReadOnly< int > | property_gtk_cursor_blink_time () const
| Length of the cursor blink cycle.
Glib::PropertyProxy< bool > | property_gtk_split_cursor ()
| Whether two cursors should be displayed for mixed left-to-right and right-to-left text.
Glib::PropertyProxy_ReadOnly < bool > | property_gtk_split_cursor () const
| Whether two cursors should be displayed for mixed left-to-right and right-to-left text.
Glib::PropertyProxy < Glib::ustring > | property_gtk_theme_name ()
| Name of theme RC file to load.
Glib::PropertyProxy_ReadOnly < Glib::ustring > | property_gtk_theme_name () const
| Name of theme RC file to load.
Glib::PropertyProxy < Glib::ustring > | property_gtk_key_theme_name ()
| Name of key theme RC file to load.
Glib::PropertyProxy_ReadOnly < Glib::ustring > | property_gtk_key_theme_name () const
| Name of key theme RC file to load.
Glib::PropertyProxy < Glib::ustring > | property_gtk_menu_bar_accel ()
| Keybinding to activate the menu bar.
Glib::PropertyProxy_ReadOnly < Glib::ustring > | property_gtk_menu_bar_accel () const
| Keybinding to activate the menu bar.
Glib::PropertyProxy< int > | property_gtk_dnd_drag_threshold ()
| Number of pixels the cursor can move before dragging.
Glib::PropertyProxy_ReadOnly< int > | property_gtk_dnd_drag_threshold () const
| Number of pixels the cursor can move before dragging.
Glib::PropertyProxy < Glib::ustring > | property_gtk_font_name ()
| Name of default font to use.
Glib::PropertyProxy_ReadOnly < Glib::ustring > | property_gtk_font_name () const
| Name of default font to use.
Glib::PropertyProxy < Glib::ustring > | property_gtk_modules ()
| List of currently active GTK modules.
Glib::PropertyProxy_ReadOnly < Glib::ustring > | property_gtk_modules () const
| List of currently active GTK modules.
Glib::PropertyProxy< int > | property_gtk_xft_antialias ()
| Whether to antialias Xft fonts; 0=no.
Glib::PropertyProxy_ReadOnly< int > | property_gtk_xft_antialias () const
| Whether to antialias Xft fonts; 0=no.
Glib::PropertyProxy< int > | property_gtk_xft_hinting ()
| Whether to hint Xft fonts; 0=no.
Glib::PropertyProxy_ReadOnly< int > | property_gtk_xft_hinting () const
| Whether to hint Xft fonts; 0=no.
Glib::PropertyProxy < Glib::ustring > | property_gtk_xft_hintstyle ()
| What degree of hinting to use; hintnone.
Glib::PropertyProxy_ReadOnly < Glib::ustring > | property_gtk_xft_hintstyle () const
| What degree of hinting to use; hintnone.
Glib::PropertyProxy < Glib::ustring > | property_gtk_xft_rgba ()
| Type of subpixel antialiasing; none.
Glib::PropertyProxy_ReadOnly < Glib::ustring > | property_gtk_xft_rgba () const
| Type of subpixel antialiasing; none.
Glib::PropertyProxy< int > | property_gtk_xft_dpi ()
| Resolution for Xft.
Glib::PropertyProxy_ReadOnly< int > | property_gtk_xft_dpi () const
| Resolution for Xft.
Glib::PropertyProxy < Glib::ustring > | property_gtk_cursor_theme_name ()
| Name of the cursor theme to use.
Glib::PropertyProxy_ReadOnly < Glib::ustring > | property_gtk_cursor_theme_name () const
| Name of the cursor theme to use.
Glib::PropertyProxy< int > | property_gtk_cursor_theme_size ()
| Size to use for cursors.
Glib::PropertyProxy_ReadOnly< int > | property_gtk_cursor_theme_size () const
| Size to use for cursors.
Glib::PropertyProxy< bool > | property_gtk_alternative_button_order ()
| Whether buttons in dialogs should use the alternative button order.
Glib::PropertyProxy_ReadOnly < bool > | property_gtk_alternative_button_order () const
| Whether buttons in dialogs should use the alternative button order.
Glib::PropertyProxy< bool > | property_gtk_alternative_sort_arrows ()
| Whether the direction of the sort indicators in list and tree views is inverted compared to the default (where down means ascending).
Glib::PropertyProxy_ReadOnly < bool > | property_gtk_alternative_sort_arrows () const
| Whether the direction of the sort indicators in list and tree views is inverted compared to the default (where down means ascending).
Glib::PropertyProxy< bool > | property_gtk_show_input_method_menu ()
| Whether the context menus of entries and text views should offer to change the input method.
Glib::PropertyProxy_ReadOnly < bool > | property_gtk_show_input_method_menu () const
| Whether the context menus of entries and text views should offer to change the input method.
Glib::PropertyProxy< bool > | property_gtk_show_unicode_menu ()
| Whether the context menus of entries and text views should offer to insert control characters.
Glib::PropertyProxy_ReadOnly < bool > | property_gtk_show_unicode_menu () const
| Whether the context menus of entries and text views should offer to insert control characters.
Glib::PropertyProxy< int > | property_gtk_timeout_initial ()
| Starting value for timeouts.
Glib::PropertyProxy_ReadOnly< int > | property_gtk_timeout_initial () const
| Starting value for timeouts.
Glib::PropertyProxy< int > | property_gtk_timeout_repeat ()
| Repeat value for timeouts.
Glib::PropertyProxy_ReadOnly< int > | property_gtk_timeout_repeat () const
| Repeat value for timeouts.
Glib::PropertyProxy< int > | property_gtk_timeout_expand ()
| Expand value for timeouts.
Glib::PropertyProxy_ReadOnly< int > | property_gtk_timeout_expand () const
| Expand value for timeouts.
Glib::PropertyProxy < Glib::ustring > | property_gtk_color_scheme ()
| A palette of named colors for use in themes.
Glib::PropertyProxy_ReadOnly < Glib::ustring > | property_gtk_color_scheme () const
| A palette of named colors for use in themes.
Glib::PropertyProxy< bool > | property_gtk_enable_animations ()
| Whether to enable toolkit-wide animations.
Glib::PropertyProxy_ReadOnly < bool > | property_gtk_enable_animations () const
| Whether to enable toolkit-wide animations.
Glib::PropertyProxy< bool > | property_gtk_touchscreen_mode ()
| When TRUE.
Glib::PropertyProxy_ReadOnly < bool > | property_gtk_touchscreen_mode () const
| When TRUE.
Glib::PropertyProxy< int > | property_gtk_tooltip_timeout ()
| Timeout before tooltip is shown.
Glib::PropertyProxy_ReadOnly< int > | property_gtk_tooltip_timeout () const
| Timeout before tooltip is shown.
Glib::PropertyProxy< int > | property_gtk_tooltip_browse_timeout ()
| Timeout before tooltip is shown when browse mode is enabled.
Glib::PropertyProxy_ReadOnly< int > | property_gtk_tooltip_browse_timeout () const
| Timeout before tooltip is shown when browse mode is enabled.
Glib::PropertyProxy< int > | property_gtk_tooltip_browse_mode_timeout ()
| Timeout after which browse mode is disabled.
Glib::PropertyProxy_ReadOnly< int > | property_gtk_tooltip_browse_mode_timeout () const
| Timeout after which browse mode is disabled.
Glib::PropertyProxy< bool > | property_gtk_keynav_cursor_only ()
| When TRUE.
Glib::PropertyProxy_ReadOnly < bool > | property_gtk_keynav_cursor_only () const
| When TRUE.
Glib::PropertyProxy< bool > | property_gtk_keynav_wrap_around ()
| Whether to wrap around when keyboard-navigating widgets.
Glib::PropertyProxy_ReadOnly < bool > | property_gtk_keynav_wrap_around () const
| Whether to wrap around when keyboard-navigating widgets.
Glib::PropertyProxy< bool > | property_gtk_error_bell ()
| When TRUE.
Glib::PropertyProxy_ReadOnly < bool > | property_gtk_error_bell () const
| When TRUE.
Glib::PropertyProxy_ReadOnly < Gdk::Color > | property_color_hash () const
| A hash table representation of the color scheme.
Glib::PropertyProxy < Glib::ustring > | property_gtk_file_chooser_backend ()
| Name of the GtkFileChooser backend to use by default.
Glib::PropertyProxy_ReadOnly < Glib::ustring > | property_gtk_file_chooser_backend () const
| Name of the GtkFileChooser backend to use by default.
Glib::PropertyProxy < Glib::ustring > | property_gtk_print_backends ()
| List of the GtkPrintBackend backends to use by default.
Glib::PropertyProxy_ReadOnly < Glib::ustring > | property_gtk_print_backends () const
| List of the GtkPrintBackend backends to use by default.
Glib::PropertyProxy < Glib::ustring > | property_gtk_print_preview_command ()
| Command to run when displaying a print preview.
Glib::PropertyProxy_ReadOnly < Glib::ustring > | property_gtk_print_preview_command () const
| Command to run when displaying a print preview.
Glib::PropertyProxy< bool > | property_gtk_enable_mnemonics ()
| Whether labels should have mnemonics.
Glib::PropertyProxy_ReadOnly < bool > | property_gtk_enable_mnemonics () const
| Whether labels should have mnemonics.
Glib::PropertyProxy< bool > | property_gtk_enable_accels ()
| Whether menu items should have accelerators.
Glib::PropertyProxy_ReadOnly < bool > | property_gtk_enable_accels () const
| Whether menu items should have accelerators.
Glib::PropertyProxy< int > | property_gtk_recent_files_limit ()
| Number of recently used files.
Glib::PropertyProxy_ReadOnly< int > | property_gtk_recent_files_limit () const
| Number of recently used files.
Glib::PropertyProxy < Glib::ustring > | property_gtk_im_module ()
| Which IM module should be used by default.
Glib::PropertyProxy_ReadOnly < Glib::ustring > | property_gtk_im_module () const
| Which IM module should be used by default.
Glib::PropertyProxy< int > | property_gtk_recent_files_max_age ()
| Maximum age of recently used files.
Glib::PropertyProxy_ReadOnly< int > | property_gtk_recent_files_max_age () const
| Maximum age of recently used files.
Glib::PropertyProxy< int > | property_gtk_fontconfig_timestamp ()
| Timestamp of current fontconfig configuration.
Glib::PropertyProxy_ReadOnly< int > | property_gtk_fontconfig_timestamp () const
| Timestamp of current fontconfig configuration.
Glib::PropertyProxy < Glib::ustring > | property_gtk_sound_theme_name ()
| XDG sound theme name.
Glib::PropertyProxy_ReadOnly < Glib::ustring > | property_gtk_sound_theme_name () const
| XDG sound theme name.
Glib::PropertyProxy< bool > | property_gtk_enable_input_feedback_sounds ()
| Whether to play event sounds as feedback to user input.
Glib::PropertyProxy_ReadOnly < bool > | property_gtk_enable_input_feedback_sounds () const
| Whether to play event sounds as feedback to user input.
Glib::PropertyProxy< bool > | property_gtk_enable_event_sounds ()
| Whether to play any event sounds at all.
Glib::PropertyProxy_ReadOnly < bool > | property_gtk_enable_event_sounds () const
| Whether to play any event sounds at all.
Glib::PropertyProxy< bool > | property_gtk_enable_tooltips ()
| Whether tooltips should be shown on widgets.
Glib::PropertyProxy_ReadOnly < bool > | property_gtk_enable_tooltips () const
| Whether tooltips should be shown on widgets.
Glib::PropertyProxy< ToolbarStyle > | property_gtk_toolbar_style ()
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy_ReadOnly < ToolbarStyle > | property_gtk_toolbar_style () const
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy< IconSize > | property_gtk_toolbar_icon_size ()
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy_ReadOnly < IconSize > | property_gtk_toolbar_icon_size () const
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy< bool > | property_gtk_can_change_accels ()
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy_ReadOnly < bool > | property_gtk_can_change_accels () const
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy< bool > | property_gtk_entry_select_on_focus ()
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy_ReadOnly < bool > | property_gtk_entry_select_on_focus () const
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy < Glib::ustring > | property_gtk_color_palette ()
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy_ReadOnly < Glib::ustring > | property_gtk_color_palette () const
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy< bool > | property_gtk_button_images ()
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy_ReadOnly < bool > | property_gtk_button_images () const
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy < Glib::ustring > | property_gtk_icon_theme_name ()
| Name of icon theme to use.
Glib::PropertyProxy_ReadOnly < Glib::ustring > | property_gtk_icon_theme_name () const
| Name of icon theme to use.
Glib::PropertyProxy < Glib::ustring > | property_gtk_icon_sizes ()
| List of icon sizes: gtk-menu=16.
Glib::PropertyProxy_ReadOnly < Glib::ustring > | property_gtk_icon_sizes () const
| List of icon sizes: gtk-menu=16.
## Static Public Member Functions
static Glib::RefPtr< Settings > | get_default ()
| Gets the Gtk::Settings object for the default GDK screen, creating it if necessary.
static Glib::RefPtr< Settings > | get_for_screen (const Glib::RefPtr< Gdk::Screen >& screen)
| Gets the Gtk::Settings object for screen, creating it if necessary.
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gtk::Settings > | wrap (GtkSettings* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

Sharing settings between applications.

## Constructor & Destructor Documentation

virtual Gtk::Settings::~Settings | ( |  | ) | `[virtual]`

## Member Function Documentation

static Glib::RefPtr<Settings> Gtk::Settings::get_default | ( |  | ) | `[static]`

Gets the Gtk::Settings object for the default GDK screen, creating it if necessary.

See get_for_screen().

Returns:
  A Gtk::Settings object. If there is no default screen, then returns `0`.

static Glib::RefPtr<Settings> Gtk::Settings::get_for_screen | ( | const Glib::RefPtr< Gdk::Screen >& | screen | ) | `[static]`

Gets the Gtk::Settings object for screen, creating it if necessary.

Since gtkmm 2.2:

Parameters:

  | screen | A Gdk::Screen.

Returns:
  A Gtk::Settings object.

const GtkSettings* Gtk::Settings::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Glib::ObjectBase.

GtkSettings* Gtk::Settings::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Glib::ObjectBase.

GtkSettings* Gtk::Settings::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Glib::PropertyProxy_ReadOnly<Gdk::Color> Gtk::Settings::property_color_hash | ( |  | ) | const

A hash table representation of the color scheme.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Gtk::Settings::property_gtk_alternative_button_order | ( |  | ) | const

Whether buttons in dialogs should use the alternative button order.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Gtk::Settings::property_gtk_alternative_button_order | ( |  | ) |

Whether buttons in dialogs should use the alternative button order.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Gtk::Settings::property_gtk_alternative_sort_arrows | ( |  | ) | const

Whether the direction of the sort indicators in list and tree views is inverted compared to the default (where down means ascending).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Gtk::Settings::property_gtk_alternative_sort_arrows | ( |  | ) |

Whether the direction of the sort indicators in list and tree views is inverted compared to the default (where down means ascending).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Gtk::Settings::property_gtk_button_images | ( |  | ) | const

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Gtk::Settings::property_gtk_button_images | ( |  | ) |

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Gtk::Settings::property_gtk_can_change_accels | ( |  | ) | const

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Gtk::Settings::property_gtk_can_change_accels | ( |  | ) |

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Glib::ustring> Gtk::Settings::property_gtk_color_palette | ( |  | ) | const

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Glib::ustring> Gtk::Settings::property_gtk_color_palette | ( |  | ) |

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Glib::ustring> Gtk::Settings::property_gtk_color_scheme | ( |  | ) | const

A palette of named colors for use in themes.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Glib::ustring> Gtk::Settings::property_gtk_color_scheme | ( |  | ) |

A palette of named colors for use in themes.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Gtk::Settings::property_gtk_cursor_blink | ( |  | ) | const

Whether the cursor should blink.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Gtk::Settings::property_gtk_cursor_blink | ( |  | ) |

Whether the cursor should blink.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<int> Gtk::Settings::property_gtk_cursor_blink_time | ( |  | ) | const

Length of the cursor blink cycle.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<int> Gtk::Settings::property_gtk_cursor_blink_time | ( |  | ) |

Length of the cursor blink cycle.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Glib::ustring> Gtk::Settings::property_gtk_cursor_theme_name | ( |  | ) | const

Name of the cursor theme to use.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Glib::ustring> Gtk::Settings::property_gtk_cursor_theme_name | ( |  | ) |

Name of the cursor theme to use.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<int> Gtk::Settings::property_gtk_cursor_theme_size | ( |  | ) | const

Size to use for cursors.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<int> Gtk::Settings::property_gtk_cursor_theme_size | ( |  | ) |

Size to use for cursors.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<int> Gtk::Settings::property_gtk_dnd_drag_threshold | ( |  | ) | const

Number of pixels the cursor can move before dragging.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<int> Gtk::Settings::property_gtk_dnd_drag_threshold | ( |  | ) |

Number of pixels the cursor can move before dragging.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<int> Gtk::Settings::property_gtk_double_click_distance | ( |  | ) | const

Maximum distance allowed between two clicks for them to be considered a double click (in pixels).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<int> Gtk::Settings::property_gtk_double_click_distance | ( |  | ) |

Maximum distance allowed between two clicks for them to be considered a double click (in pixels).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<int> Gtk::Settings::property_gtk_double_click_time | ( |  | ) | const

Maximum time allowed between two clicks for them to be considered a double click (in milliseconds).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<int> Gtk::Settings::property_gtk_double_click_time | ( |  | ) |

Maximum time allowed between two clicks for them to be considered a double click (in milliseconds).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Gtk::Settings::property_gtk_enable_accels | ( |  | ) | const

Whether menu items should have accelerators.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Gtk::Settings::property_gtk_enable_accels | ( |  | ) |

Whether menu items should have accelerators.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Gtk::Settings::property_gtk_enable_animations | ( |  | ) | const

Whether to enable toolkit-wide animations.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Gtk::Settings::property_gtk_enable_animations | ( |  | ) |

Whether to enable toolkit-wide animations.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Gtk::Settings::property_gtk_enable_event_sounds | ( |  | ) | const

Whether to play any event sounds at all.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Gtk::Settings::property_gtk_enable_event_sounds | ( |  | ) |

Whether to play any event sounds at all.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Gtk::Settings::property_gtk_enable_input_feedback_sounds | ( |  | ) | const

Whether to play event sounds as feedback to user input.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Gtk::Settings::property_gtk_enable_input_feedback_sounds | ( |  | ) |

Whether to play event sounds as feedback to user input.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Gtk::Settings::property_gtk_enable_mnemonics | ( |  | ) | const

Whether labels should have mnemonics.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Gtk::Settings::property_gtk_enable_mnemonics | ( |  | ) |

Whether labels should have mnemonics.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Gtk::Settings::property_gtk_enable_tooltips | ( |  | ) | const

Whether tooltips should be shown on widgets.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Gtk::Settings::property_gtk_enable_tooltips | ( |  | ) |

Whether tooltips should be shown on widgets.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Gtk::Settings::property_gtk_entry_select_on_focus | ( |  | ) | const

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Gtk::Settings::property_gtk_entry_select_on_focus | ( |  | ) |

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Gtk::Settings::property_gtk_error_bell | ( |  | ) | const

When TRUE.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Gtk::Settings::property_gtk_error_bell | ( |  | ) |

When TRUE.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Glib::ustring> Gtk::Settings::property_gtk_file_chooser_backend | ( |  | ) | const

Name of the GtkFileChooser backend to use by default.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Glib::ustring> Gtk::Settings::property_gtk_file_chooser_backend | ( |  | ) |

Name of the GtkFileChooser backend to use by default.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Glib::ustring> Gtk::Settings::property_gtk_font_name | ( |  | ) | const

Name of default font to use.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Glib::ustring> Gtk::Settings::property_gtk_font_name | ( |  | ) |

Name of default font to use.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<int> Gtk::Settings::property_gtk_fontconfig_timestamp | ( |  | ) | const

Timestamp of current fontconfig configuration.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<int> Gtk::Settings::property_gtk_fontconfig_timestamp | ( |  | ) |

Timestamp of current fontconfig configuration.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Glib::ustring> Gtk::Settings::property_gtk_icon_sizes | ( |  | ) | const

List of icon sizes: gtk-menu=16.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Glib::ustring> Gtk::Settings::property_gtk_icon_sizes | ( |  | ) |

List of icon sizes: gtk-menu=16.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Glib::ustring> Gtk::Settings::property_gtk_icon_theme_name | ( |  | ) | const

Name of icon theme to use.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Glib::ustring> Gtk::Settings::property_gtk_icon_theme_name | ( |  | ) |

Name of icon theme to use.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Glib::ustring> Gtk::Settings::property_gtk_im_module | ( |  | ) | const

Which IM module should be used by default.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Glib::ustring> Gtk::Settings::property_gtk_im_module | ( |  | ) |

Which IM module should be used by default.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Glib::ustring> Gtk::Settings::property_gtk_key_theme_name | ( |  | ) | const

Name of key theme RC file to load.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Glib::ustring> Gtk::Settings::property_gtk_key_theme_name | ( |  | ) |

Name of key theme RC file to load.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Gtk::Settings::property_gtk_keynav_cursor_only | ( |  | ) | const

When TRUE.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Gtk::Settings::property_gtk_keynav_cursor_only | ( |  | ) |

When TRUE.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Gtk::Settings::property_gtk_keynav_wrap_around | ( |  | ) | const

Whether to wrap around when keyboard-navigating widgets.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Gtk::Settings::property_gtk_keynav_wrap_around | ( |  | ) |

Whether to wrap around when keyboard-navigating widgets.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Glib::ustring> Gtk::Settings::property_gtk_menu_bar_accel | ( |  | ) | const

Keybinding to activate the menu bar.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Glib::ustring> Gtk::Settings::property_gtk_menu_bar_accel | ( |  | ) |

Keybinding to activate the menu bar.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Glib::ustring> Gtk::Settings::property_gtk_modules | ( |  | ) | const

List of currently active GTK modules.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Glib::ustring> Gtk::Settings::property_gtk_modules | ( |  | ) |

List of currently active GTK modules.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Glib::ustring> Gtk::Settings::property_gtk_print_backends | ( |  | ) | const

List of the GtkPrintBackend backends to use by default.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Glib::ustring> Gtk::Settings::property_gtk_print_backends | ( |  | ) |

List of the GtkPrintBackend backends to use by default.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Glib::ustring> Gtk::Settings::property_gtk_print_preview_command | ( |  | ) | const

Command to run when displaying a print preview.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Glib::ustring> Gtk::Settings::property_gtk_print_preview_command | ( |  | ) |

Command to run when displaying a print preview.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<int> Gtk::Settings::property_gtk_recent_files_limit | ( |  | ) | const

Number of recently used files.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<int> Gtk::Settings::property_gtk_recent_files_limit | ( |  | ) |

Number of recently used files.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<int> Gtk::Settings::property_gtk_recent_files_max_age | ( |  | ) | const

Maximum age of recently used files.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<int> Gtk::Settings::property_gtk_recent_files_max_age | ( |  | ) |

Maximum age of recently used files.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Gtk::Settings::property_gtk_show_input_method_menu | ( |  | ) | const

Whether the context menus of entries and text views should offer to change the input method.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Gtk::Settings::property_gtk_show_input_method_menu | ( |  | ) |

Whether the context menus of entries and text views should offer to change the input method.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Gtk::Settings::property_gtk_show_unicode_menu | ( |  | ) | const

Whether the context menus of entries and text views should offer to insert control characters.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Gtk::Settings::property_gtk_show_unicode_menu | ( |  | ) |

Whether the context menus of entries and text views should offer to insert control characters.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Glib::ustring> Gtk::Settings::property_gtk_sound_theme_name | ( |  | ) | const

XDG sound theme name.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Glib::ustring> Gtk::Settings::property_gtk_sound_theme_name | ( |  | ) |

XDG sound theme name.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Gtk::Settings::property_gtk_split_cursor | ( |  | ) | const

Whether two cursors should be displayed for mixed left-to-right and right-to-left text.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Gtk::Settings::property_gtk_split_cursor | ( |  | ) |

Whether two cursors should be displayed for mixed left-to-right and right-to-left text.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Glib::ustring> Gtk::Settings::property_gtk_theme_name | ( |  | ) | const

Name of theme RC file to load.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Glib::ustring> Gtk::Settings::property_gtk_theme_name | ( |  | ) |

Name of theme RC file to load.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<int> Gtk::Settings::property_gtk_timeout_expand | ( |  | ) | const

Expand value for timeouts.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<int> Gtk::Settings::property_gtk_timeout_expand | ( |  | ) |

Expand value for timeouts.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<int> Gtk::Settings::property_gtk_timeout_initial | ( |  | ) | const

Starting value for timeouts.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<int> Gtk::Settings::property_gtk_timeout_initial | ( |  | ) |

Starting value for timeouts.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<int> Gtk::Settings::property_gtk_timeout_repeat | ( |  | ) | const

Repeat value for timeouts.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<int> Gtk::Settings::property_gtk_timeout_repeat | ( |  | ) |

Repeat value for timeouts.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<IconSize> Gtk::Settings::property_gtk_toolbar_icon_size | ( |  | ) | const

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<IconSize> Gtk::Settings::property_gtk_toolbar_icon_size | ( |  | ) |

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<ToolbarStyle> Gtk::Settings::property_gtk_toolbar_style | ( |  | ) | const

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<ToolbarStyle> Gtk::Settings::property_gtk_toolbar_style | ( |  | ) |

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<int> Gtk::Settings::property_gtk_tooltip_browse_mode_timeout | ( |  | ) | const

Timeout after which browse mode is disabled.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<int> Gtk::Settings::property_gtk_tooltip_browse_mode_timeout | ( |  | ) |

Timeout after which browse mode is disabled.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<int> Gtk::Settings::property_gtk_tooltip_browse_timeout | ( |  | ) | const

Timeout before tooltip is shown when browse mode is enabled.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<int> Gtk::Settings::property_gtk_tooltip_browse_timeout | ( |  | ) |

Timeout before tooltip is shown when browse mode is enabled.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<int> Gtk::Settings::property_gtk_tooltip_timeout | ( |  | ) | const

Timeout before tooltip is shown.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<int> Gtk::Settings::property_gtk_tooltip_timeout | ( |  | ) |

Timeout before tooltip is shown.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Gtk::Settings::property_gtk_touchscreen_mode | ( |  | ) | const

When TRUE.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Gtk::Settings::property_gtk_touchscreen_mode | ( |  | ) |

When TRUE.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<int> Gtk::Settings::property_gtk_xft_antialias | ( |  | ) | const

Whether to antialias Xft fonts; 0=no.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<int> Gtk::Settings::property_gtk_xft_antialias | ( |  | ) |

Whether to antialias Xft fonts; 0=no.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<int> Gtk::Settings::property_gtk_xft_dpi | ( |  | ) | const

Resolution for Xft.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<int> Gtk::Settings::property_gtk_xft_dpi | ( |  | ) |

Resolution for Xft.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<int> Gtk::Settings::property_gtk_xft_hinting | ( |  | ) | const

Whether to hint Xft fonts; 0=no.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<int> Gtk::Settings::property_gtk_xft_hinting | ( |  | ) |

Whether to hint Xft fonts; 0=no.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Glib::ustring> Gtk::Settings::property_gtk_xft_hintstyle | ( |  | ) | const

What degree of hinting to use; hintnone.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Glib::ustring> Gtk::Settings::property_gtk_xft_hintstyle | ( |  | ) |

What degree of hinting to use; hintnone.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Glib::ustring> Gtk::Settings::property_gtk_xft_rgba | ( |  | ) | const

Type of subpixel antialiasing; none.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Glib::ustring> Gtk::Settings::property_gtk_xft_rgba | ( |  | ) |

Type of subpixel antialiasing; none.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

## Friends And Related Function Documentation

Glib::RefPtr< Gtk::Settings > wrap | ( | GtkSettings * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gtkmm/settings.h